Skip to main content
GET
/
collections
/
{collection}
/
schema
/
fieldTypes
List all collection field types
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes
[
  {
    "name": "<string>",
    "analyzer": {
      "tokenizer": {
        "class": "<string>"
      },
      "filters": [
        {
          "class": "<string>"
        }
      ],
      "type": "<string>",
      "class": "<string>"
    },
    "indexAnalyzer": {
      "tokenizer": {
        "class": "<string>"
      },
      "filters": [
        {
          "class": "<string>"
        }
      ],
      "type": "<string>",
      "class": "<string>"
    },
    "queryAnalyzer": {
      "tokenizer": {
        "class": "<string>"
      },
      "filters": [
        {
          "class": "<string>"
        }
      ],
      "type": "<string>",
      "class": "<string>"
    },
    "indexed": true,
    "stored": true,
    "multiValued": true,
    "positionIncrementGap": 123,
    "class": "<string>"
  }
]

Path Parameters

collection
string
required

Collection ID.

Response

200 - application/json

successful operation

name
string
analyzer
object
indexAnalyzer
object
queryAnalyzer
object
indexed
boolean
stored
boolean
multiValued
boolean
positionIncrementGap
integer<int32>
class
string